/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the New BSD License (3-clause license).
 *
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the New BSD License (3-clause license)
 * for more details.
 *
 * You should have received a copy of the New BSD License (3-clause license)
 * along with this program/library; If not, see http://directory.fsf.org/wiki/License:BSD_3Clause/
 * for the New BSD License (3-clause license).
 */
 
package org.ow2.petals.demo.ejb.address;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

import javax.ejb.Remote;

import org.ow2.petals.demo.ejb.address.domain.Address;
import org.ow2.petals.demo.ejb.address.other.Comment;

/**
 * @author Gael Blondelle - EBM WebSourcing
 * @author Mathias Beldame - EBM WebSourcing
 */
@Remote
public interface AddressService {

	public Address getAddress(int id);
	
	public int getAddressId(Address address);
	
	public Address[] getArrayAddress(String street);
	
	public ArrayList<Address> getArrayListAddress(String street, boolean allowDuplicates);

	public Set<Address> getListAddressSet(String street, boolean allowDuplicates);

	public List<Address> getListAddress(String street, boolean allowDuplicates);

	public void execute();
	
	public Comment getComment(Address address) throws AddressException;
}
